System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The values are used whenever an action is taken that could change the schema of the .

Specifies the action to take when adding data to the and the required or is missing.

- Field
  System.Data.MissingSchemaAction To be added

  Adds the necessary columns to complete the schema.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.MissingSchemaAction To be added

  Adds the necessary columns and primary key information to complete the schema. For more information about how primary key information is added to a , see .To function properly with the .NET Framework Data Provider for OLE DB, AddWithKey requires that the native OLE DB provider obtains necessary primary key information by setting the DBPROP_UNIQUEROWS property, and then determines which columns are primary key columns by examining DBCOLUMN_KEYCOLUMN in the IColumnsRowset. As an alternative, the user may explicitly set the primary key constraints on each . This ensures that incoming records that match existing records are updated instead of appended. When using AddWithKey, the .NET Framework Data Provider for SQL Server appends a FOR BROWSE clause to the statement being executed. The user should be aware of potential side effects, such as interference with the use of SET FMTONLY ON statements. See SQL Server Books Online for more information.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.MissingSchemaAction To be added

  An is generated if the specified column mapping is missing.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.MissingSchemaAction To be added

  Ignores the extra columns.

  1.0.5000.0
  2.0.0.0